const express = require("express");
const { RazorpayController } = require("../../controllers/web");
const { verifyToken } = require("../../middleware");
const { RazorPayValidation } = require("../../validations/PaymentValidation");
const router = express.Router();

router.post("/razorPayWebhook", RazorpayController.razorPayWebhook);
router.post(
  "/createOrder",
  verifyToken,
  RazorPayValidation,
  RazorpayController.createRazorPayOrder
);

module.exports = router;
